List Project Members
GEThttps://api.confident-ai.com/v1/projects/{projectId}/members
Lists the members of a project, along with each member's project role.
curl -X GET "https://api.confident-ai.com/v1/projects/{projectId}/members" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"{
"success": true,
"data": {
"members": [
{
"id": "user-uuid-1",
"email": "alice@example.com",
"name": "Alice",
"image": null,
"projectRole": {
"id": "project-role-uuid-1",
"name": "Owner"
}
},
{
"id": "user-uuid-2",
"email": "bob@example.com",
"name": "Bob",
"image": null,
"projectRole": {
"id": "project-role-uuid-2",
"name": "Member"
}
}
],
"total": 2
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
projectIdstringRequiredThe unique identifier of the project.
Query parameters
pageintegerdefault: 1The page number to return. Defaults to 1.
pageSizeintegerdefault: 25The maximum number of members per page (max 100). Defaults to 25.
Response
successbooleanIndicates if the request was successful
dataobjectShow 2 propertiesHide 2 properties
memberslist of objectsList of members in the project
Show 5 propertiesHide 5 properties
idstringUnique identifier for the member
emailstringThe member's email address
namestringThe member's display name
imagestringURL of the member's avatar image
projectRoleobjectThe member's project role, or
nullif they have no roleShow 2 propertiesHide 2 properties
idstringUnique identifier
namestringName
totalintegerTotal number of members in the project